<template>
  <q-card>
    <q-card-section>
      <div class="text-h6">Links</div>
    </q-card-section>
    <q-card-section class="q-pt-none">
      <q-item clickable @click="navigateURL('https://nx.jetracer.ch')">
        <q-item-section avatar>
          <q-avatar>
            <img src="~assets/nextcloud_logo.svg" />
          </q-avatar>
        </q-item-section>
        <q-item-section>
          <q-item-label>NextCloud (Files)</q-item-label>
        </q-item-section>
      </q-item>
      <q-item clickable @click="navigateURL('http://ifs.pages.gitlab.ost.ch/ai-challenge/info/')">
        <q-item-section avatar>
          <q-avatar>
            <img src="~assets/gitlab_logo.svg" />
          </q-avatar>
        </q-item-section>
        <q-item-section>
          <q-item-label>AI-Challenge Info Seite</q-item-label>
        </q-item-section>
      </q-item>
      <q-item clickable @click="navigateURL('https://jupyter.jetracer.ch')">
        <q-item-section avatar>
          <q-avatar>
            <img src="~assets/jupyter_logo.svg"/>
          </q-avatar>
        </q-item-section>
        <q-item-section>
          <q-item-label>JupyterLab</q-item-label>
        </q-item-section>
      </q-item>
      <q-item clickable @click="navigateURL('/')">
        <q-item-section avatar>
          <q-avatar>
            <img src="~assets/speedometer_logo.svg" />
          </q-avatar>
        </q-item-section>
        <q-item-section>
          <q-item-label>Dashboard</q-item-label>
        </q-item-section>
      </q-item>
    </q-card-section>
  </q-card>
</template>

<script>
import { openURL } from 'quasar'

export default {
  // name: 'ComponentName',
  setup () {
    return {
      navigateURL(url){
        openURL(url)
      }
    }
  }
}
</script>
